<template>
    <div class="content__leftAnalitika">
        <div class="statistics-wrapping">
            <div class="box-sFlex">
                <div class="statistics--element wow fadeInUp" v-for="(field, key) in fields">
                    <tooltip :is-absolute="true" :info="$t('settings.fields.fake.' + key + '.help')"/>
                    <div class="box-svg">
                        <a href="#">
                            <svg>
                                <use :xlink:href="`/img/sprite.svg#${field.icon}`"/>
                            </svg>
                        </a>
                    </div>
                    <p class="text-podSvg">{{ $t('settings.fields.fake.' + key + '.label') }}:</p>
                    <form action="" @submit.prevent="save">
                        <input :type="field.type" class="number" placeholder="" v-model.number="settings[key]" required />
                        <button type="submit">{{ $t('settings.save') }}
                            <svg>
                                <use xlink:href="/img/sprite.svg#plus"/>
                            </svg>
                        </button>
                    </form>
                    <p class="text-all">{{ $t('settings.fake.total') }} <span>{{ getTotal(key) }}</span></p>
                    <p class="text-fake">{{ $t('settings.fake.fake_count') }} <span>{{ settings[key] }}</span></p>
                </div>
            </div>
            <p class="text-podz">{{ $t('settings.fake.hint1') }}</p>
            <p class="text-p">{{ $t('settings.fake.hint2') }}</p>
        </div>
    </div>
</template>

<script>
	import {mapGetters} from "vuex";

    export default {
		name: "StatisticsFake",
        data(){
		    return {
		        fields: {},
                settings: {},
				stats: {}
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ])
        },
        methods: {
            load(){
                this.axios.get(`settings/fake`)
                    .then(resp => resp.data)
                    .then(settings => {
                        console.log(settings);
                        this.fields = settings.fields;
                        this.settings = settings.settings;
						this.stats = settings.stats;
					});
            },
            save(){
                this.axios.post(`settings/fake`, {
                    fields: this.settings
                })
                    .then(resp => resp.data)
                    .then(settings => {
						this.$swal(this.$t('ui.success'), this.$t('settings.fake.success'), 'success');
                        console.log(settings);
						this.stats = settings.stats;
					});
            },
			getTotal(key){
            	let real = Number.parseFloat(this.stats[key]);
            	let fake = Number.parseFloat(this.settings[key]);
            	let total = real + fake;
				return total === Math.round(total) ? total.toFixed(0) : total.toFixed(2);
			}
        },
        mounted() {
		    this.load();
        }
    }
</script>

<style scoped>

</style>
